﻿using Microsoft.Data.SqlClient;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.ConnectionFactory;

public interface ISqlConnectionFactory<T> where T : DbContext
{
    string ConnectionString { get; init; }
    SqlConnection Create();
    Task<SqlConnection> CreateAsync();
}
