﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace EVCB_OCPP.Domain.Migrations.ConnectionLogDB
{
    /// <inheritdoc />
    public partial class InitialCreate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "MachineConnectionLog",
                columns: table => new
                {
                    Id = table.Column<long>(type: "bigint", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    CreatedOn = table.Column<DateTime>(type: "datetime", nullable: false),
                    MessageType = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: true),
                    Data = table.Column<string>(type: "nvarchar(3600)", maxLength: 3600, nullable: true),
                    Msg = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: true),
                    ChargeBoxId = table.Column<string>(type: "nvarchar(128)", maxLength: 128, nullable: true),
                    IsSent = table.Column<bool>(type: "bit", nullable: false),
                    EVSEEndPoint = table.Column<string>(type: "nvarchar(25)", maxLength: 25, nullable: true),
                    Session = table.Column<string>(type: "nvarchar(36)", maxLength: 36, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MachineConnectionLog", x => new { x.Id, x.CreatedOn });
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "MachineConnectionLog");
        }
    }
}
