﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ComponentVariableType
    {
        /// <summary>
        /// Component for which a report of Variable is
        ///requested.
        /// </summary>
        [Required]
        public ComponentType Component { set; get; }

        /// <summary>
        /// Variable(s) for which the report is requested.
        /// </summary>
        public VariableType Variable { set; get; }
    }
}
