﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum CertificateSigningUseEnumType
    {
        /// <summary>
        /// Client side certificate used by the Charging Station to connect the the CSMS.
        /// </summary>
        ChargingStationCertificate = 1,
        /// <summary>
        /// Use for certificate for 15118 connections. This means that the certificate should be derived from the V2G
        ///root.
        /// </summary>
        V2GCertificate
    }
}
