﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum CustomerInformationStatusEnumType
    {
        /// <summary>
        ///  The Charging Station accepted the message.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  When the Charging Station is in a state where it cannot process this request.
        /// </summary>
        Rejected,
        /// <summary>
        ///  In a request to the Charging Station no reference to a customer is included.
        /// </summary>
        Invalid
    }
}
