﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum InstallCertificateUseEnumType
    {
        /// <summary>
        ///  Use for certificate of the V2G Root, a V2G Charging Station Certificate MUST be derived from one of the
        ///installed V2GRootCertificate certificates.
        /// </summary>
        V2GRootCertificate = 1,
        /// <summary>
        ///  Use for certificate from an eMobility Service provider. To support PnC charging with contracts from service
        /// providers that not derived their certificates from the V2G root.
        /// </summary>
        MORootCertificate,
        /// <summary>
        /// Root certificate for verification of the CSMS certificate.
        /// </summary>
        CSMSRootCertificate,
        /// <summary>
        /// Root certificate for verification of the Manufacturer certificate.
        /// </summary>
        ManufacturerRootCertificate

    }
}
