﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MessageStateEnumType
    {
        /// <summary>
        ///  Message only to be shown while the Charging Station is charging.
        /// </summary>
        Charging = 1,
        /// <summary>
        ///  Message only to be shown while the Charging Station is in faulted state.
        /// </summary>
        Faulted,
        /// <summary>
        ///  Message only to be shown while the Charging Station is idle (not charging).
        /// </summary>
        Idle,
        /// <summary>
        ///  Message only to be shown while the Charging Station is in unavailable state.
        /// </summary>
        Unavailable
    }
}
