﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum UpdateStatusEnumType
    {
        /// <summary>
        /// Local Authorization List successfully updated.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Failed to update the Local Authorization List.
        /// </summary>
        Failed,
        /// <summary>
        ///  Version number in the request for a differential update is less or equal then version number of current list.
        /// </summary>
        VersionMismatch
    }
}
