﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class RelativeTimeIntervalType
    {
        /// <summary>
        /// Start of the interval, in seconds from NOW.
        /// </summary>
        [Required]
        public int Start { set; get; }

        /// <summary>
        /// Duration of the interval, in seconds
        /// </summary>
        public int? Duration { set; get; }
    }
}
