﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class VariableType
    {
        /// <summary>
        /// Name of the variable. Name should be taken
        // from the list of standardized variable names whenever
        ///possible.Case Insensitive.strongly advised to use Camel
        ///Case.
        /// </summary>
        [Required]
        [StringLength(50, MinimumLength = 0)]
        public string Name { set; get; }

        /// <summary>
        ///Name of instance in case the variable exists as
        ///multiple instances.Case Insensitive.strongly advised to
        /// use Camel Case
        ///Case.
        /// </summary>
        [Required]
        [StringLength(50, MinimumLength = 0)]
        public string Instance { set; get; }
    }
}
