﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class DeleteCertificateResponse
    {
        /// <summary>
        /// Charging Station indicates if it can process the
        ///request.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public DeleteCertificateStatusEnumType Status { set; get; }
    }
}
