﻿using System;
using System.Collections.Generic;

namespace EVCB_OCPP.Domain.Models.MainDb;

public partial class TransactionRecord
{
    public int Id { get; set; }

    public DateTime StartTime { get; set; }

    public DateTime StopTime { get; set; }

    public Guid CustomerId { get; set; }

    public byte ConnectorId { get; set; }

    public decimal MeterStart { get; set; }

    public decimal MeterStop { get; set; }

    public DateTime CreatedOn { get; set; }

    public DateTime UpdatedOn { get; set; }

    public DateTime StartTransactionReportedOn { get; set; }

    public int RetryStartTransactionTimes { get; set; }

    public DateTime StopTransactionReportedOn { get; set; }

    public string ErrorMsg { get; set; }

    public string StartIdTag { get; set; }

    public string StopIdTag { get; set; }

    public int ReservationId { get; set; }

    public int StopReasonId { get; set; }

    public string ChargeBoxId { get; set; }

    public int RetryStopTransactionTimes { get; set; }

    public bool UploadedtoTtia { get; set; }

    public decimal Cost { get; set; }

    public string Fee { get; set; }

    public string Receipt { get; set; }

    public bool BillingDone { get; set; }

    public string StopReason { get; set; }

    public string StartSoc { get; set; }

    public string StopSoc { get; set; }

    public bool NotifyPnC { get; set; }

    public string Evccid { get; set; }
}
