﻿using System;
using System.Collections.Generic;

namespace EVCB_OCPP.Domain.Models.MainDb;

public partial class UploadFile
{
    public string Id { get; set; }

    public string FileName { get; set; }

    public string OriginName { get; set; }

    public int FileSize { get; set; }

    public string FileType { get; set; }

    public string FileExtensionName { get; set; }

    public string FilePath { get; set; }

    public DateTime CreatedOn { get; set; }

    public string CreatedBy { get; set; }

    public string FileMd5 { get; set; }

    public string FileUrl { get; set; }

    public string VendorId { get; set; }

    public string ModelName { get; set; }

    public int ModuleId { get; set; }

    public virtual ICollection<MachineVersionFile> MachineVersionFiles { get; set; } = new List<MachineVersionFile>();
}
