﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ClearMonitoringResultType
    {
        /// <summary>
        /// Id of the monitor of which a clear was requested.
        /// </summary>
        [Required]
        public int Id { set; get; }


        /// <summary>
        /// Result of the clear request for this monitor,
        ///identified by its Id.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ClearMonitoringStatusEnumType Status { set; get; }
    }
}
