﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
   public class ConsumptionCostType
    {
        /// <summary>
        /// The lowest level of consumption that defines
        ///the starting point of this consumption block.The block
       /// interval extends to the start of the next interval.
        /// </summary>
        [Required]
        public decimal StartValue { set; get; }

        /// <summary>
        /// This field contains the cost details.
        /// </summary>
        [Required]
        public CostType Cost { set; get; }
    }
}
