﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum DataTransferStatusEnumType
    {
        /// <summary>
        ///  Message has been accepted and the contained request is accepted.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Message has been accepted but the contained request is rejected.
        /// </summary>
        Rejected,
        /// <summary>
        ///  Message could not be interpreted due to unknown messageId string.
        /// </summary>
        UnknownMessageId,
        /// <summary>
        ///  Message could not be interpreted due to unknown vendorId string.
        /// </summary>
        UnknownVendorId
    }
}
