﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum EnergyTransferModeEnumType
    {
        /// <summary>
        ///  DC charging.
        /// </summary>
        DC = 1,
        /// <summary>
        ///  AC single phase charging according to IEC 62196.
        /// </summary>
        AC_single_phase,
        /// <summary>
        ///  AC two phase charging according to IEC 62196.
        /// </summary>
        AC_two_phase,
        /// <summary>
        ///  AC three phase charging according to IEC 62196.
        /// </summary>
        AC_three_phase
    }
}
