﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum InstallCertificateStatusEnumType
    {
        /// <summary>
        ///  The installation of the certificate succeeded.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  The certificate is valid and correct, but there is another reason the installation did not succeed.
        /// </summary>
        Failed,
        /// <summary>
        ///  The certificate is invalid and/or incorrect OR the CSO tries to install more certificates than allowed
        /// </summary>
        Rejected
    }
}
