﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MonitoringBaseEnumType
    {
        /// <summary>
        ///  Activate all pre-configured monitors.
        /// </summary>
        All = 1,
        /// <summary>
        ///  Activate the default monitoring settings as recommended by the manufacturer. This is a subset of all preconfigured
        ///monitors.
        /// </summary>
        FactoryDefault,
        /// <summary>
        ///  Clears all custom monitors and disables all pre-configured monitors.
        /// </summary>
        HardWiredOnly
    }
}
