﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum UnlockStatusEnumType
    {
        /// <summary>
        /// Connector has successfully been unlocked.
        /// </summary>
        Unlocked = 1,
        /// <summary>
        ///  Failed to unlock the connector.
        /// </summary>
        UnlockFailed,
        /// <summary>
        /// The connector is not unlocked, because there is still an authorized transaction ongoing.
        /// </summary>
        OngoingAuthorizedTransaction,
        /// <summary>
        ///  The specified connector is not known by the Charging Station.
        /// </summary>
        UnknownConnector
    }
}
