﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class GetBaseReportRequest
    {
        /// <summary>
        /// The Id of the request.
        /// </summary>
        [Required]
        public int RequestId { set; get; }

        /// <summary>
        /// This field specifies the report base.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ReportBaseEnumType ReportBase { set; get; }
    }
}
